# Interface AssetPost

interface AssetPost {
category?: string;
id?: string;
ifcGid?: string;
metadata?: Record<string, unknown>;
name: string;
parentIfcGid?: string;
position?: AssetPosition;
twinReference?: string;
type?: string;
}

##### Index

### Properties

category?
id?
ifcGid?
metadata?
name
parentIfcGid?
position?
twinReference?
type?

## Properties

### `Optional` category

category?: string

### `Optional` id

id?: string

### `Optional` ifcGid

ifcGid?: string

### `Optional` metadata

metadata?: Record<string, unknown>

### name

name: string

### `Optional` parentIfcGid

parentIfcGid?: string

### `Optional` position

position?: AssetPosition

### `Optional` twinReference

twinReference?: string

### `Optional` type

type?: string